cURL
curl --request GET \
--url https://api.eka.care/abdm/v1/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/abdm/v1/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/abdm/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"abha_address": "shyam@abdm",
"abha_addresses": [
"<string>"
],
"abha_number": "12-3456-7856-8912",
"address": "<string>",
"day_of_birth": 123,
"first_name": "<string>",
"gender": "M",
"kyc_verified": true,
"last_name": "<string>",
"middle_name": "<string>",
"mobile": "<string>",
"month_of_birth": 123,
"pincode": "<string>",
"year_of_birth": 123
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Profile Management
Profile Details
Fetches the ABHA profile of the User.
Please cache these results locally. We do not recommend calling this API on every page load. Evict the cache when there is profile update.
GET
/
abdm
/
v1
/
profile
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
OID is used to Identify the user.
Response
OK
Primary/preferred abha address.
Example:
"shyam@abdm"
List of abha addresses associated with aadhaar
ABHA number assigned to the user.
Example:
"12-3456-7856-8912"
Address of the user.
Day of birth of the user.
User's first name.
Gender of the user (M - Male, F - Female, O - Other).
Available options:
M, F, O Example:
"M"
Indicates whether the user’s KYC is verified.
User's last name.
User's middle name.
Mobile number of the user.
Month of birth of the user.
Pincode of the user's address.
Year of birth of the user.
Was this page helpful?

